<table *ngIf="tableMode else create" class="table table-sm table-striped">
  <tbody>
    <tr>
      <th>Id</th>
      <th>UserId</th>
      <th>UserName</th>
      <th>RoleId</th>
      <th>RoleName</th>
    </tr>
    <tr *ngFor="let ur of employeesInRoles">
      <ng-template [ngIf]="employeeInRole?.id != ur.id" [ngIfElse]="edit">
        <td>{{ur.id}}</td>
        <td>{{ur.userId}}</td>
        <td>{{ur.userName}}</td>
        <td>{{ur.roleId}}</td>
        <td>{{ur.roleName}}</td>
        <td>
          <button class="btn btn-sm btn-primary" (click)="selectEmployeeInRole(ur.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Edit
          </button>
          <button class="btn btn-sm btn-danger ml-1" (click)="deleteEmployeeInRole(ur.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Delete
          </button>
        </td>
      </ng-template>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td colspan="6" class="text-center">
        <button class="btn btn-primary" (click)="clearEmployeeInRole(); tableMode=false"
                [disabled]="currentUser.checkIfAdmin">
          Create
        </button>
      </td>
    </tr>
  </tfoot>
</table>

<ng-template #edit>
  <td colspan="6" class="bg-light border p-3">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="employeeInRole.id" disabled />
    </div>
    <div class="form-group">
      <label>UserId</label>
      <input type="number" class="form-control" [(ngModel)]="employeeInRole.userId" />
    </div>
    <div class="form-group">
      <label>RoleId</label>
      <input type="number" class="form-control" [(ngModel)]="employeeInRole.roleId" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="updateEmployeeInRole(employeeInRole.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearEmployeeInRole()">
        Cancel
      </button>
    </div>
  </td>
</ng-template>

<ng-template #create>
  <div class="m-2">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="employeeInRole.id" disabled />
    </div>
    <div class="form-group">
      <label>UserId</label>
      <input type="number" class="form-control" [(ngModel)]="employeeInRole.userId" />
    </div>
    <div class="form-group">
      <label>RoleId</label>
      <input type="number" class="form-control" [(ngModel)]="employeeInRole.roleId" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="createEmployeeInRole(employeeInRole.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearEmployeeInRole()">
        Cancel
      </button>
    </div>
  </div>
</ng-template>
